import request from '@/utils/request'

// 查询成绩列表
export function xuekeRank(data) {
  return request({
    url: '/score/data/xuekeRank',
    method: 'post',
    data: data
  })
}

// 查询成绩详细
export function gradeRank(data) {
  return request({
    url: '/score/data/gradeRank',
    method: 'post',
	data: data
  })
}

// 新增成绩
export function classRank(data) {
  return request({
    url: '/score/data/classRank',
    method: 'post',
    data: data
  })
}

// 修改成绩
export function avgRank(data) {
  return request({
    url: '/score/data/avgRankZheXian',
    method: 'post',
    data: data
  })
}

export function bingTuRank(data) {
  return request({
    url: '/score/data/bingTuRank',
    method: 'post',
    data: data
  })
}

export function indexList(data) {
  return request({
    url: '/score/data/indexList',
    method: 'post',
    data: data
  })
}

// 删除成绩
export function delData(scoreId) {
  return request({
    url: '/score/data/delete/' + scoreId,
    method: 'get'
  })
}